> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trugen.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Tool By Id

> Fetches a specific tool details using its unique ID. Requires `x-api-key` authentication.



## OpenAPI

````yaml GET /ext/tool/{id}
openapi: 3.0.3
info:
  title: TruGen Developer Platform API
  version: 1.0.0
  description: OpenAPI specification for MCP endpoint
servers:
  - url: https://api.trugen.ai/v1
security: []
paths:
  /ext/tool/{id}:
    get:
      summary: Get Tool by ID
      description: >-
        Fetches a specific tool details using its unique ID. Requires
        `x-api-key` authentication.
      operationId: getToolById
      parameters:
        - name: id
          in: path
          required: true
          description: The UUID of the tool
          schema:
            type: string
            format: uuid
            example: 0ea1fa09-4681-4068-8437-84ae6907b900
      responses:
        '200':
          description: Tool details retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    format: uuid
                    example: 0ea1fa09-4681-4068-8437-84ae6907b900
                  type:
                    type: string
                    example: tool.client
                  schema:
                    type: object
                    description: Function schema definition
                    properties:
                      type:
                        type: string
                        example: function
                      name:
                        type: string
                        example: start_cloud_browser_session1
                      description:
                        type: string
                        example: Starts the dashboard page with logged in session1.
                      parameters:
                        type: object
                        properties:
                          type:
                            type: string
                            example: object
                          properties:
                            type: object
                            additionalProperties:
                              type: object
                              properties:
                                type:
                                  type: string
                                description:
                                  type: string
                          required:
                            type: array
                            items:
                              type: string
                    required:
                      - type
                      - name
                      - parameters
                  request_config:
                    type: object
                    properties:
                      method:
                        type: string
                        example: GET
                      url:
                        type: string
                        example: https://www.example.com/information
                      headers:
                        type: object
                        additionalProperties:
                          type: string
                        example:
                          User-Agent: Trugen Avatar
                          Accept: application/json
                  event_messages:
                    type: object
                    properties:
                      on_start:
                        type: object
                        properties:
                          message:
                            type: string
                      on_success:
                        type: object
                        properties:
                          message:
                            type: string
                      on_delay:
                        type: object
                        properties:
                          delay:
                            type: integer
                          message:
                            type: string
                      on_error:
                        type: object
                        properties:
                          message:
                            type: string
                  created_at:
                    type: string
                    format: date-time
                    example: '2025-08-26T17:28:43.042453Z'
                  updated_at:
                    type: string
                    format: date-time
                    example: '2025-08-26T17:28:43.042453Z'
                required:
                  - id
                  - type
                  - schema
                  - request_config
                  - event_messages
                  - created_at
                  - updated_at
        '401':
          description: Unauthorized – invalid or missing API key
        '404':
          description: Tool not found
        '500':
          description: Internal server error
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````